Name:           python-sphinx_rtd_theme
Summary:        Sphinx theme for readthedocs.org
Version:        0.4.1
Release:        2
License:        MIT
URL:            https://github.com/snide/sphinx_rtd_theme
Source0:        https://files.pythonhosted.org/packages/source/s/sphinx_rtd_theme/sphinx_rtd_theme-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel python2-setuptools python2-sphinx python3-devel python3-setuptools python3-sphinx

%description
This Sphinx theme was designed to provide a great reader experience for documentation users
on both desktop and mobile devices. This theme is used primarily on Read the Docs but can work
with any Sphinx project. You can find a working demo of the theme in the theme documentation.

%package        -n python2-sphinx_rtd_theme
Summary:        Sphinx theme for readthedocs.org
Recommends:     fontawesome-fonts-web font(fontawesome) font(lato) font(robotoslab)
Requires:       python2-sphinx
%{?python_provide:%python_provide python2-sphinx_rtd_theme}

%description    -n python2-sphinx_rtd_theme
this sphinx theme was designed to provide a great reader experience for documentation users
on both desktop and mobile devices. this theme is used primarily on read the docs but can work
with any sphinx project. you can find a working demo of the theme in the theme documentation.

%package        -n python3-sphinx_rtd_theme
Summary:        Sphinx theme for readthedocs.org
Recommends:     fontawesome-fonts-web font(fontawesome) font(lato) font(robotoslab)
Requires:       python3-sphinx
%{?python_provide:%python_provide python3-sphinx_rtd_theme}

%description    -n python3-sphinx_rtd_theme
this sphinx theme was designed to provide a great reader experience for documentation users
on both desktop and mobile devices. this theme is used primarily on read the docs but can work
with any sphinx project. you can find a working demo of the theme in the theme documentation.

%prep
%autosetup -c -p1
cp -a sphinx_rtd_theme-%{version} python3-sphinx_rtd_theme-%{version}

%build
cd sphinx_rtd_theme-%{version}
%py2_build

cd ../python3-sphinx_rtd_theme-%{version}
%py3_build

%install
pushd sphinx_rtd_theme-%{version}
%py2_install
popd

pushd %{buildroot}/%{python2_sitelib}/sphinx_rtd_theme/static/fonts
rm fontawesome-webfont.* Lato/*.ttf RobotoSlab/*.ttf
ln -s %{_datadir}/fonts/fontawesome/fontawesome-webfont.eot   .
ln -s %{_datadir}/fonts/fontawesome/fontawesome-webfont.svg   .
ln -s %{_datadir}/fonts/fontawesome/fontawesome-webfont.ttf   .
ln -s %{_datadir}/fonts/fontawesome/fontawesome-webfont.woff  .
ln -s %{_datadir}/fonts/fontawesome/fontawesome-webfont.woff2 .
ln -s %{_datadir}/fonts/google-roboto-slab/RobotoSlab-Bold.ttf    RobotoSlab/roboto-slab-v7-bold.ttf
ln -s %{_datadir}/fonts/google-roboto-slab/RobotoSlab-Regular.ttf RobotoSlab/roboto-slab-v7-regular.ttf
ln -s %{_datadir}/fonts/lato/Lato-Bold.ttf       Lato/lato-bold.ttf
ln -s %{_datadir}/fonts/lato/Lato-BoldItalic.ttf Lato/lato-bolditalic.ttf
ln -s %{_datadir}/fonts/lato/Lato-Italic.ttf     Lato/lato-italic.ttf
ln -s %{_datadir}/fonts/lato/Lato-Regular.ttf    Lato/lato-regular.ttf
popd

pushd python3-sphinx_rtd_theme-%{version}
%py3_install
popd

pushd %{buildroot}/%{python3_sitelib}/sphinx_rtd_theme/static/fonts
rm fontawesome-webfont.* Lato/*.ttf RobotoSlab/*.ttf
ln -s %{_datadir}/fonts/fontawesome/fontawesome-webfont.eot   .
ln -s %{_datadir}/fonts/fontawesome/fontawesome-webfont.svg   .
ln -s %{_datadir}/fonts/fontawesome/fontawesome-webfont.ttf   .
ln -s %{_datadir}/fonts/fontawesome/fontawesome-webfont.woff  .
ln -s %{_datadir}/fonts/fontawesome/fontawesome-webfont.woff2 .
ln -s %{_datadir}/fonts/google-roboto-slab/RobotoSlab-Bold.ttf    RobotoSlab/roboto-slab-v7-bold.ttf
ln -s %{_datadir}/fonts/google-roboto-slab/RobotoSlab-Regular.ttf RobotoSlab/roboto-slab-v7-regular.ttf
ln -s %{_datadir}/fonts/lato/Lato-Bold.ttf       Lato/lato-bold.ttf
ln -s %{_datadir}/fonts/lato/Lato-BoldItalic.ttf Lato/lato-bolditalic.ttf
ln -s %{_datadir}/fonts/lato/Lato-Italic.ttf     Lato/lato-italic.ttf
ln -s %{_datadir}/fonts/lato/Lato-Regular.ttf    Lato/lato-regular.ttf
popd
 
%files -n python2-sphinx_rtd_theme
%doc sphinx_rtd_theme-%{version}/README.rst
%license sphinx_rtd_theme-%{version}/LICENSE
%{python2_sitelib}/sphinx_rtd_theme*
 
%files -n python3-sphinx_rtd_theme
%doc python3-sphinx_rtd_theme-%{version}/README.rst
%license python3-sphinx_rtd_theme-%{version}/LICENSE
%{python3_sitelib}/sphinx_rtd_theme*

%changelog
* Thu Nov 14 2019 Lijin Yang <yanglijin@huawei.com> - 0.4.1-2
- init package
